<!doctype html>
<html>
  <head>
    <title>master-detail-layout demo</title>

    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <script>window.Polymer = window.Polymer || {};window.Polymer.dom = 'shadow';</script>
    <script src="/extern/bower_components/webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../master-detail-layout.html">
    <link rel="import" href="/extern/bower_components/paper-listbox/paper-listbox.html">
    <link rel="import" href="/extern/bower_components/paper-item/paper-item.html">
    <link rel="import" href="/extern/bower_components/paper-toolbar/paper-toolbar.html">
    <link rel="import" href="/extern/bower_components/paper-icon-button/paper-icon-button.html">
    <link rel="import" href="/extern/bower_components/iron-icons/iron-icons.html">

    <style is="custom-style">
      master-detail-layout {
        --large-master-container-mixin: {
          width: 300px;
          border-right: 1px solid black;
        }
      }
      master-detail-layout[medium] paper-toolbar,
      master-detail-layout[large] paper-toolbar,
      master-detail-layout[extra-large] paper-toolbar {
        display: none;
      }
    </style>
    <script type="text/javascript">
      function master() {
        document.querySelector('master-detail-layout').smallSelected=0;
      }
      function detail() {
        document.querySelector('master-detail-layout').smallSelected=1;
      }
    </script>
  </head>
  <body unresolved>
    <template is="dom-bind">
      <master-detail-layout small-selected=0 master-selector=".master" detail-selector="[wooo]">
        <paper-listbox class="master" onclick="detail()" selected="{{selected}}">
          <paper-item>Inbox</paper-item>
          <paper-item>Starred</paper-item>
          <paper-item>Sent mail</paper-item>
          <paper-item>Drafts</paper-item>
          <paper-item>Inbox</paper-item>
          <paper-item>Starred</paper-item>
          <paper-item>Sent mail</paper-item>
          <paper-item>Drafts</paper-item>
          <paper-item>Inbox</paper-item>
          <paper-item>Starred</paper-item>
          <paper-item>Sent mail</paper-item>
          <paper-item>Drafts</paper-item>
          <paper-item>Inbox</paper-item>
          <paper-item>Starred</paper-item>
          <paper-item>Sent mail</paper-item>
          <paper-item>Drafts</paper-item>
        </paper-listbox>
        <div wooo>
          <paper-toolbar>
            <paper-icon-button icon="arrow-back" onclick="master()"></paper-icon-button>
          </paper-toolbar>
          <p>I am the details</p>
          <p>You selected nr: {{selected}}</p>
        </div>
      </master-detail-layout>
    </template>
  </body>
</html>
